## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestTriggerFactory Struct Reference

A factory to create triggers. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual csPtr< iQuestTrigger > | CreateTrigger (iQuest *quest, const celQuestParams &params)=0
| Create a trigger.
virtual bool | Load (iDocumentNode *node)=0
| Load this factory from a document node.

## Detailed Description

A factory to create triggers.

Trigger factories are created by an iQuestTriggerType instance.

Definition at line 155 of file questmanager.h.

## Member Function Documentation

virtual csPtr<iQuestTrigger> iQuestTriggerFactory::CreateTrigger | ( | iQuest * | quest,
|  | const celQuestParams & | params |
| ) |  |  | `[pure virtual]`

Create a trigger.

Parameters:

  | quest | is the quest for which this trigger is created.
  | params | are the parameters with which this reward is instantiated.

virtual bool iQuestTriggerFactory::Load | ( | iDocumentNode * | node | ) | `[pure virtual]`

Load this factory from a document node.

Parameters:

  | node | is the <fireon> node in a trigger description.

Returns:
  false on error (reporter is used to report).

The documentation for this struct was generated from the following file:

- tools/questmanager.h